/*
 *  Copyright (c) 2008 Luca Abeni
 *
 *  This is free software; see GPL.txt
 */
#ifndef __NET_H__
#define __NET_H__
int server_init(const char *iface, int port);
int new_connection(int s, int *client_ip);

struct udp_connection {
    short int port;
    unsigned long int addr;
    int s;
};
struct udp_connection *udp_sock(const char *addr, int port, const char *iface, int local_port);
struct udp_connection *udp_insock(const char *addr, int port);
unsigned long int net_addr(const char *addr);
int udp_send(struct udp_connection *r, const char *buff, int len);
void udp_close(struct udp_connection *c);
int connection_fd(struct udp_connection *r);
const char *net_ascii_addr(unsigned long int addr);
const char *iface_addr(const char *iface);
int fd_addr(int fd);
int udp_port(struct udp_connection *r);
#endif	/* __NET_H__ */
