/*
 *  Copyright (c) 2008 Luca Abeni
 *
 *  This is free software; see GPL.txt
 */
#include <stdlib.h>

#include "parse.h"

const char *spaces_skip(const char *p)
{
    while ((*p == ' ') || (*p == '\t')) {
        p++;
    }

    return p;
}

const char *line_skip(const char *p)
{
    while ((*p != 0) && (*p != '\n') && (*p != '\r')) {
        p++;
    }
    if (*p == 0) return NULL;
    while ((*p == '\n') || (*p == '\r')) {
        p++;
    }

    return p;
}

const char *word_get(char *dst, const char *src)
{
    const char *p;

    p = spaces_skip(src);
    while ((*p != 0) && (*p != ' ') && (*p != '\t') && (*p != '\n') && (*p != '\r')) {
        *dst++ = *p++;
    }
    *dst++ = 0;

    return (spaces_skip(p));
}
