/*
 *  Copyright (c) 2008 Luca Abeni
 *
 *  This is free software; see GPL.txt
 */
#define RTP_UDP 1
#define RTP_TCP 2
#define RAW_UDP 3
#define TS_UDP 4
#define MULTICAST 8

struct rtp_session 
{
    struct udp_connection *sock;
    struct udp_connection *ctrl_sock;
    void *h;
    int session_id;

    int tcp_fd;
    int stream_index;

    struct rtp_session *next;

    struct rtcp_stats *stats;
    void *alarm_h;
};

int rtp_port(struct rtp_session *r);
int rtcp_port(struct rtp_session *r);
struct rtp_session *rtp_session_create(void *h, const char *dst, int id, int tcp_fd, const char *iface);
struct rtp_session *rtp_insession_create(void *h, const char *dst, int port);
void rtp_insession_release(struct rtp_session *s);
void rtp_session_close(struct rtp_session *r);
int rtp_insession_handle(struct rtp_session *s, int (*h1)(int s, void *c), int (*h2)(int s, void *c), void *c);
int rtp_send(struct rtp_session *r, uint8_t *b, int size);
int rtcp_send(struct rtp_session *r, uint8_t *b, int size);
