/*
 *  Copyright (c) 2008 Luca Abeni
 *
 *  This is free software; see GPL.txt
 */
#define RTSP_CMD_OPTIONS	0
#define RTSP_CMD_DESCRIBE	1
#define RTSP_CMD_SETUP		2
#define RTSP_CMD_PLAY		3
#define RTSP_CMD_TEARDOWN	4

#define RTSP_PARAM_STRING_MAX 1024

struct rtsp_request {
    int command;
    int cseq;
    int session_id;
    int content_length;
    int from;
    int local_addr;
    int streaming_mode;
    int ttl;
    unsigned short int rtcp_port;
    unsigned short  int rtp_port;
    unsigned int rtp_channel_id;
    unsigned int rtcp_channel_id;
    const char *dst;
    char stream_name[RTSP_PARAM_STRING_MAX];
    char track_id[RTSP_PARAM_STRING_MAX];
    void *handle;

    int fd;
};

int rtsp_command(const char *cmd);

void rtsp_cmd_error(char *buff, int buff_size);
void rtsp_cmd_options(char *buff, int buff_size, struct rtsp_request *r);
void rtsp_cmd_unknown(char *buff, int buff_size, struct rtsp_request *r);
void rtsp_cmd_describe(char *buff, int buff_size, struct rtsp_request *r);
void rtsp_cmd_setup(char *buff, int buff_size, struct rtsp_request *r);
void rtsp_cmd_play(char *buff, int buff_size, struct rtsp_request *r);
void rtsp_cmd_teardown(char *buff, int buff_size, struct rtsp_request *r);
