/*
 *  Copyright (c) 2008 Luca Abeni
 *
 *  This is free software; see GPL.txt
 */
#define MAX_MEDIA 10
#define MEDIA_TYPE_VIDEO 1
#define MEDIA_TYPE_AUDIO 2
#define MEDIA_TYPE_TEXT  3


struct media {
    int type;
    int port;
    int payload_type;
    struct attribute *attribute[20];
    char dst_addr[24];
    int bitrate;

    struct rtp_session *in;
};

struct sdp_descr {
    int sdp_version;
    int version;
    int rtp_id;
    int start_time;
    int end_time;
    char user[128];
    char src_addr[24];
    char dst_addr[24];
    const char *name;
    const char *info;

    struct attribute *attribute[20];
    struct media *media[MAX_MEDIA];
};

int sdp_get(char *buff, int size, struct sdp_descr *s);
int sdp_set(struct sdp_descr *s, const char *sdp);
void sdp_free(struct sdp_descr *s);
