/*
 *  Copyright (c) 2008 Luca Abeni
 *
 *  This is free software; see GPL.txt
 */
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>

#include "net.h"
#include "rtsp.h"
#include "stats.h"
#include "file_feed.h"

static const char *iface = "eth0";
static int port = 5454;

static void args_parse(int argc, char *argv[])
{
    int c;

    for(;;) {
        c = getopt(argc, argv, "i:p:s:f:");
        switch(c) {
            case 'i':
                iface = optarg;
                break;
            case 'p':
                port = atoi(optarg);
                break;
            case 's':
                stats_file_init(optarg);
                break;
            case 'f':
                set_path(optarg);
                break;
            case -1:
                return;
            default:
                fprintf(stderr, "Illegal Option %c\n", c);
                exit(-1);
        }
    }
}

int main(int argc, char *argv[])
{
    args_parse(argc, argv);
    server_create(iface_addr(iface), port);
    return 0;
}
